Bug 84662 - rpm can't install, query, un-install - various errors
rpm can't install, query, un-install - various errors
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-19 23:24 EST by Richard Kircher
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 11:01:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Kircher 2003-02-19 23:24:23 EST
Description of problem:

I downloaded pine-4.33-15.i386.rpm from RH 8.0
and tried to install using the command
rpm -i pine-4.33-15.i386.rpm 

This resulted in the following error message
V3 DSA signature: NOKEY, key ID nnnnnnnn

Next I tried the override command
rpm -ivh --nosignature pine-4.33-15.i386.rpm

I checked the results with the command
rpm -ql pine-4.33-15.i386.rpm
This resulted in the error message
error: package pine-4.33-15.i386.rpm is not installed

But parts of it were installed.  Next I tried
rpm -e pine-4.33-15.i386.rpm

This resulted in the error message
error: package pine-4.33-15.i386.rpm is not installed

The bug is that I can't determine what is installed 
and cannot un-install pine-4.33-15.i386.rpm because 
rpm does not recognize installed software.  Related 
bug may be that rpm incorrectly does not recognize a 
valid V3 DSA signature from a file downloaded from 
Red Hat web site.


Version-Release number of selected component (if applicable):
Red Hat Linux 8.0

How reproducible:
100% reproducible

Steps to Reproduce:
1. rpm -i pine-4.33-15.i386.rpm (to show V3 DSA signature: NOKEY)

2. rpm -ivh --nosignature pine-4.33-15.i386.rpm (to induce hidden installation)

3. ls (to view components that were installed incorrectly)

4. rpm -ql pine-4.33-15.i386.rpm (to view the erronious message: 
error: package pine-4.33-15.i386.rpm is not installed)

5. rpm -e pine-4.33-15.i386.rpm (to view the un-install failure)
 
    
Actual results:
I could not install, query, and un-install a file 
downloaded from the Red Hat Web Site.

Expected results:
I expected to be able to install, query, and un-install a file 
downloaded from the Red Hat Web Site.


Additional info:
Other packages have been successfully installed, queried, and un-installed 
using the rpm command.  I have seen reference to this problem in news 
groups and that is where I learned the rpm option of --nosignature.  These
references can be found with a Google search for "V3 DSA signature: NOKEY, key 
ID nnnnnnnn"  I did not write down the actual ID nnnnnnnn number and know of
no way to recover it with the rpm messages described above in existence.
Comment 1 Jeff Johnson 2003-02-20 11:01:06 EST
You're using a package fi8le name where you want to use a package name.
Try
    rpm -ql pine
instead.

The NOKEY is a warning, not an error. The right thing to
do is to import the appropriate key, probably
    rpm --import /usr/share/doc/rpm*/RPM-GPG-KEY

Note You need to log in before you can comment on or make changes to this bug.